From 86b59ac2ca3366e417344e5c1fa5b0489007cf94 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 5 Jan 2024 19:36:54 +0800
Subject: [PATCH] ppc.h: use correct cacheline size for macOS

---
 include/urcu/arch/ppc.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git include/urcu/arch/ppc.h include/urcu/arch/ppc.h
index 80462c6..2e5c5a2 100644
--- include/urcu/arch/ppc.h
+++ include/urcu/arch/ppc.h
@@ -19,8 +19,12 @@
 extern "C" {
 #endif
 
+#ifdef __APPLE__
+#define CAA_CACHE_LINE_SIZE	128
+#else
 /* Include size of POWER5+ L3 cache lines: 256 bytes */
 #define CAA_CACHE_LINE_SIZE	256
+#endif
 
 #ifdef __NO_LWSYNC__
 #define LWSYNC_OPCODE	"sync\n"
